> ## Name

> cgGLGetMatrixParameter - get the values from a matrix parameter

> ## Synopsis

>     #include <Cg/cgGL.h>

>     /* TYPE is float or double */

>     void cgGLGetMatrixParameter{fd}{rc}( CGparameter param,
>                                          TYPE * matrix );

> ## Parameters

> param
>   The matrix parameter from which the values will be retrieved.
> matrix
>   An array into which the values will be retrieved. The size must be the number of rows times the number of columns of param.

> ## Return Values

> None.

> ## Description

> The cgGLGetMatrixParameter functions retrieve the values from a matrix parameter.

> There are versions of the function that return either float or double values signified by f or d in the function name.

> There are versions of the function that assume the array of values is laid out in either row or column order signified by r or c respectively in the function name.

> The cgGLGetMatrixParameter functions may only be called with uniform parameters.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PROFILE_ERROR is generated if param's profile is not a supported OpenGL profile.

> CG_NOT_MATRIX_PARAM_ERROR is generated if param is not a matrix parameter.

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> ## History

> The cgGLGetMatrixParameter functions were introduced in Cg 1.1.

> ## See Also

> cgGLGetMatrixParameterArray, cgGLSetMatrixParameterArray, cgGLSetParameter